org.vishia.gral.widget

## Class GralFileSelector.MenuTexts

- java.lang.Object
- - org.vishia.gral.widget.GralFileSelector.MenuTexts

- Enclosing class:
    GralFileSelector

      public static class GralFileSelector.MenuTexts
      extends java.lang.Object

  This class is instantiated static and contains English menu texts. The user can change it touching the public static instance `GralFileSelector.contextMenuTexts` before calling `GralFileSelector#setToPanel(GralMngBuild_ifc, String, int, int[], char)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `deselectRecursFiles`
    `java.lang.String` | `refresh`
    `java.lang.String` | `refreshCyclicOff`
    `java.lang.String` | `refreshCyclicOn`
    `java.lang.String` | `showCreationTime`
    `java.lang.String` | `showLastAccessTime`
    `java.lang.String` | `showLastModifiedTime`
    `java.lang.String` | `sizeLarge`
    `java.lang.String` | `sortDateNewest`
    `java.lang.String` | `sortExtCase`
    `java.lang.String` | `sortExtNonCase`
    `java.lang.String` | `sortNameCase`
    `java.lang.String` | `sortNameNonCase`
    `java.lang.String` | `sortOldest`
    `java.lang.String` | `sortSizeSmall`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuTexts()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### refresh

          public java.lang.String refresh

    - #### sortNameCase

          public java.lang.String sortNameCase

    - #### sortNameNonCase

          public java.lang.String sortNameNonCase

    - #### sortExtCase

          public java.lang.String sortExtCase

    - #### sortExtNonCase

          public java.lang.String sortExtNonCase

    - #### sortOldest

          public java.lang.String sortOldest

    - #### sortDateNewest

          public java.lang.String sortDateNewest

    - #### sizeLarge

          public java.lang.String sizeLarge

    - #### sortSizeSmall

          public java.lang.String sortSizeSmall

    - #### deselectRecursFiles

          public java.lang.String deselectRecursFiles

    - #### refreshCyclicOff

          public java.lang.String refreshCyclicOff

    - #### refreshCyclicOn

          public java.lang.String refreshCyclicOn

    - #### showLastAccessTime

          public java.lang.String showLastAccessTime

    - #### showLastModifiedTime

          public java.lang.String showLastModifiedTime

    - #### showCreationTime

          public java.lang.String showCreationTime

  - ### Constructor Detail

    - #### MenuTexts

          public MenuTexts()